Show / Hide Table of Contents

# Delegate ChatGui.OnMessageHandledDelegate

A delegate type used with the ChatMessageHandled event.

###### Namespace: Dalamud.Game.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public delegate void OnMessageHandledDelegate(XivChatType type, uint senderId, SeString sender, SeString message);

##### Parameters

Type | Name | Description
--- | --- | ---
XivChatType | type | The type of chat.
System.UInt32 | senderId | The sender ID.
SeString | sender | The sender name.
SeString | message | The message sent.